context("Generic tests")
test_that("basic use case", {
  mod <- 1 : (2 * 3 * 4 * 5 * 6 * 7)
  dim(mod) <- c(dataset = 2, member = 3, sdate = 4, ftime = 5, lat = 6, lon = 7)
  obs <- 1 : (1 * 1 * 4 * 5 * 6 * 7)
  dim(obs) <- c(dataset = 1, member = 1, sdate = 4, ftime = 5, lat = 6, lon = 7)
  lon <- seq(0, 30, 5)
  lat <- seq(0, 25, 5)
  dat <- list(mod = mod, obs = obs, lat = lat, lon = lon)

  expect_equal(
    AnoMultiMetric(dat),
    list(ano = list(ano_exp = array(rep(
		    c(rep(-12, 6), rep(-4, 6), rep(4, 6), rep(12, 6)), 210),
                    dim = c(dataset = 2, member = 3, sdate = 4, ftime = 5, 
                            lat = 6, lon = 7)),
                    ano_obs = array(rep(c(-2, -0.6666667,  0.6666667,  2), 210),
                    dim = c(dataset = 1, member = 1, sdate = 4, ftime = 5,
                            lat = 6, lon = 7))),
         metric = array(rep(c(rep(1, 9), 
         rep(0.899999999999999911182158029987476766109466552734375, 3)), 42), 
		  	dim = c(3, 1, statistics = 4, 6, 7)),
	 names = c("mod1", "mod2", "MMM")))
})
